---
title: Schema Registry
url: https://docs.vultr.com/products/storage/databases/kafka/management/schema-registry
description: A centralized repository for managing and validating schemas in Apache Kafka® to ensure data compatibility and consistency
publish_date: 2025-06-25T18:17:45.215479Z
last_updated: 2026-05-26T19:43:55.513690Z
---

# How to Enable Schema Registry for Vultr Managed Apache Kafka®

Vultr Managed Apache Kafka® includes built-in support for Schema Registry, allowing customers to centrally manage and store schemas with ease. This feature ensures data consistency and compatibility across Kafka topics as workloads grow. With an intuitive interface, users can seamlessly register, retrieve, and evolve schemas, helping maintain reliable data streaming pipelines while supporting smooth application development and integration.

Follow this guide to enable Schema Registry for Vultr Managed Apache Kafka® using the Vultr Console, API, or Terraform.

> [!NOTE]
> Schema Registry for Vultr Managed Apache Kafka® is only available on business plans or higher.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Select the target database.
    1. Navigate to **Schema Registry**, and click **Enable Schema Registry**.
    1. Optional: Click **Add Configuration Option** to add advanced configuration parameters.
    1. Select a parameter and the **boolean value** according to preference.
        
        * **leader_eligibility**: Determines whether a broker is eligible to become a leader for partitions.
        * **retriable_errors_silenced**: Controls whether retriable errors are logged or suppressed.
        * **schema_reader_strict_mode**: Applies to Kafka topics that involve schema validation (usually with Kafka’s Schema Registry in Avro, JSON Schema, or Protobuf setups).

=== "Vultr API"

    1. List all the databases by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the target database's ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Enable Schema Registry by sending a `PUT` request to the [**Update Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-database)

        ```console
        $ curl "https://api.vultr.com/v2/databases/{database-id}" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "enable_schema_registry": true
            }'
        ```

    1. List all Schema Registry Advanced Options by sending a `GET` request to the [**List Schema Registry Advanced Options** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-advanced-options-schema-registry).

        ```console
        $ curl "https://api.vultr.com/v2/databases/{database-id}/advanced-options/schema-registry" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```
    
    1. Enable the Schema Registry advanced options by sending a `PUT` request to the [**Update Schema Registry Advanced Options** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-advanced-options-schema-registry)

        ```console
        $ curl "https://api.vultr.com/v2/databases/{database-id}/advanced-options/schema-registry" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "leader_eligibility" : true,
                "retriable_errors_silenced" : true
            }'
        ```

=== "Terraform"

    1. Open your Terraform configuration for the existing Managed Apache Kafka® resource.

    1. Enable Schema Registry by setting `enable_schema_registry = true` on your Kafka resource and apply.

        ```terraform
        resource "vultr_database" "kafka" {
            # ...existing fields (database_engine, region, plan, label, etc.)

            enable_schema_registry = true
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
